## python-cliff 1.1.2

=== debian/changelog ===
python-cliff (1.1.2-0ubuntu2~cloud0) precise-folsom; urgency=low

  * Backup for Ubuntu Cloud Archive:
    - python-cliff is required because it is a dependency of 
      python-quantumclient

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Aug 2012 12:17:37 -0500

python-cliff (1.1.2-0ubuntu2) quantal; urgency=low

  * Make python-cliff installable.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Aug 2012 12:32:19 -0500

python-cliff (1.1.2-0ubuntu1) quantal; urgency=low

  * New upstream version.
  * debian/patches/disable-ez-setup.patch: Disable ez-setup.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Aug 2012 10:19:39 -0500

python-cliff (1.1-0ubuntu2) quantal; urgency=low

  * New upstream version.
  * debian/rules: Fix testsuite
  * debian/control: Add python-cmd2, python-nose, and
    python-pyparsing as a build-depends.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Aug 2012 09:13:35 -0500

python-cliff (1.1-0ubuntu1) quantal; urgency=low

  * New upstream version, dropped python-tablib.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 02 Aug 2012 10:01:36 -0500

python-cliff (1.0-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Jul 2012 08:39:24 -0500

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

get-orig-source:
	uscan --verbose --force-download --rename --repack --download-current-version --destdir=../build-area

override_dh_auto_test:
	nosetests

## python-cliff 1.3

=== debian/changelog ===
python-cliff (1.3-0ubuntu2) raring; urgency=low

  * debian/rules: Fix packaging install due to upstream changes. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 12 Feb 2013 13:42:47 -0600

python-cliff (1.3-0ubuntu1) raring; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 12 Feb 2013 09:25:04 -0600

## python-cliff 1.4.5

=== docs/requirements.txt ===
httplib2==0.7.4
prettytable==0.5

## python-cliff 1.3.1

=== debian/changelog ===
python-cliff (1.3.1-0ubuntu1~cloud0) precise-grizzly; urgency=low

  * New release for the Ubuntu Cloud Archive to support new version
    requirements in python-quantumclient.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2013 10:20:37 +0000

python-cliff (1.3.1-0ubuntu1) raring; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 27 Feb 2013 14:31:29 -0600

=== debian/control ===
Source: python-cliff
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-all (>= 2.6.6-3~),
 python-cmd2, python-nose, python-mock, python-pyparsing
Standards-Version: 3.9.3
Homepage: http://pypi.python.org/pypi/cliff

Package: python-cliff
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-cmd2, python-prettytable
Provides: ${python:Provides}
Description: Command Line Interface Formulation Framework
 cliff is a framework for building command line programs. It uses setuptools entry points
 to provide subcommands, output formatters, and other extensions.

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,21 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+PYTHONS:=$(shell pyversions -vr)
+
 %:
 	dh $@  --with python2
+
+override_dh_auto_build:
+	set -e && for pyvers in $(PYTHONS); do \
+		python$$pyvers setup.py build; \
+	done
+
+override_dh_auto_install:
+	set -e && for pyvers in $(PYTHONS); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python-cliff; \
+	done
 
 get-orig-source:
 	uscan --verbose --force-download --rename --repack --download-current-version --destdir=../build-area

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/c/cliff cliff-(.*)\.tar.gz

## python-cliff 1.4.5

=== debian/changelog ===
python-cliff (1.4.5-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:50:59 +0000

python-cliff (1.4.5-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Depend on >= 0.6.7 for python-cmd2.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 28 Oct 2013 09:53:16 -0400

python-cliff (1.4.5-1) unstable; urgency=low

  * New upstream release.
  * Added myself as uploader.
  * Ran wrap-and-sort.
  * python-pyparsing build-depends is now >= 2.0.1.
  * Now build-depends on python-all (>= 2.6.6-3~) and python3, added python3
    support and the corresponding build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Oct 2013 08:20:05 +0000

python-cliff (1.4.5-0ubuntu2) saucy; urgency=low

  * debian/control: Depend on >= 0.6.7 for python-cmd2. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Sep 2013 15:07:04 -0400

python-cliff (1.4.5-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/fix-pyparsing-version.patch: Dropped. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Sep 2013 10:14:00 -0400

python-cliff (1.4.4-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/fix-pyparsing-version.patch: Refreshed

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 16 Sep 2013 15:09:22 -0400

python-cliff (1.4-1ubuntu3) saucy; urgency=low

  * debian/control: Fix build dependency. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Sep 2013 14:02:18 -0400

python-cliff (1.4-1ubuntu2) saucy; urgency=low

  * debian/patches/fix-pyparsing-version.patch: Bump pyparsing to 2.0.


 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Sep 2013 10:04:12 -0400

python-cliff (1.4-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1200544).  Remaining changes:
    - debian/control: update maintainer and priority
    - debian/pydist-overrides: preserved rename of package
    - debian/rules: updated multiple python version build

 -- Yolanda Robla <yolanda.robla@canonical.com>  Thu, 18 Jul 2013 11:50:22 +0200

python-cliff (1.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bumped to debhelper and compat 9.
  * Standard-Version bumped to 3.9.4.
  * Removed "-1" from python-pyparsing build-depends version.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Jun 2013 06:24:43 +0000

python-cliff (1.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream release.
  * debian/patches/disable-ez-setup.patch: Dropped.

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 14 Jun 2013 14:56:31 -0700

python-cliff (1.3.3-4) unstable; urgency=low

  * Added (>= 1.5.7+dfsg1-1) in the pyparsing build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Jun 2013 15:44:31 +0000

python-cliff (1.3.3-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Thomas Goirand ]
  * Team upload.
  * New upstream version.
  * Added rm -rf cliff.egg-info in the clean target.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 14:10:27 +0000

python-cliff (1.3.3-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/disable-ez-setup.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 14 May 2013 07:43:45 -0500

python-cliff (1.3-1) unstable; urgency=low

  * New upstream version.

 -- Jan Dittberner <jandd@debian.org>  Mon, 22 Oct 2012 10:45:46 +0200

python-cliff (1.2.1-1) unstable; urgency=low

  * Initial release. (Closes: #670837: ITP: python-cliff -- command line
    interface formulation framework)

 -- Jan Dittberner <jandd@debian.org>  Tue, 09 Oct 2012 20:47:34 +0200

=== debian/control ===
Source: python-cliff
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>, Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-cmd2,
               python-cmd2 (>= 0.6.7),
               python-mock,
               python-nose,
               python-prettytable,
               python-pyparsing (>= 2.0.1),
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg-1~),
               python3-all,
               python3-pyparsing (>= 2.0.1),
               python3-setuptools
Standards-Version: 3.9.4
Homepage: https://github.com/dreamhost/cliff
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cliff/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cliff/trunk

Package: python-cliff
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-cliff-doc (=${binary:Version}), ${python:Recommends}
Description: command line interface formulation framework - Python 2.x
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This package provides the Python 2.x module.

Package: python3-cliff
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python-cliff-doc (=${binary:Version}), ${python3:Recommends}
Description: command line interface formulation framework - Python 3.x
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This package provides the Python 3.x module.

Package: python-cliff-doc
Architecture: all
Section: doc
Depends: libjs-sphinxdoc, ${misc:Depends}, ${sphinxdoc:Depends}
Description: command line interface formulation framework documentation
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This is the documentation of python-cliff.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=python_distutils

override_dh_auto_install:
	# Install the docs with sphinx
	PYTHONPATH=$(CURDIR) sphinx-build -b html -a -c docs/source docs/source \
	    $(CURDIR)/debian/python-cliff-doc/usr/share/doc/python-cliff-doc/html
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-cliff; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-cliff; \
	done

override_dh_installchangelogs:
	dh_installchangelogs -O--buildsystem=python_distutils docs/source/history.rst

override_dh_clean:
	dh_clean
	rm -rf cliff.egg-info build

override_dh_python2:
	dh_python2 -O--buildsystem=python_distutils -ppython-cliff

override_dh_python3:
	dh_python3 -O--buildsystem=python_distutils -ppython3-cliff

override_dh_sphinxdoc:
	dh_sphinxdoc -O--buildsystem=python_distutils -ppython-cliff-doc

override_dh_compress:
	dh_compress -O--buildsystem=python_distutils -i -X.rst -X.js -X.html -X.txt -X.py

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	PYTHONPATH=$(CURDIR)/build/lib.* python setup.py nosetests
endif

## python-cliff 1.6.1

=== debian/changelog ===
python-cliff (1.6.1-1) unstable; urgency=medium

  * New upstream version
  * drop debian/patches/dont-install-distribute-for-tests.patch,
    upstream does not specify a dependency for distribute anymore

 -- Jan Dittberner <jandd@debian.org>  Mon, 16 Jun 2014 20:32:49 +0200

python-cliff (1.5.2-1) unstable; urgency=low

  [ Thomas Goirand ]
  * (Build-)Depends on python-cmd2 at least 0.6.7. (Closes: #739717)

  [ Jan Dittberner ]
  * New upstream version
  * debian/control:
    - add python-coverage, pep8, python-pbr, python-six, python-stevedore,
      python3-coverage, python3-pep8, python3-pbr, python3-six,
      python3-stevedore to Build-Depends-Indep
    - bump Standards-Version to 3.9.5 (no changes)
  * debian/rules: clean pbr-*.egg that may get created when building on
    systems without python-pbr installed
  * add debian/patches/dont-install-distribute-for-tests.patch to avoid
    installation of distribute from PyPI

 -- Jan Dittberner <jandd@debian.org>  Sat, 22 Feb 2014 15:22:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,38 @@
 Source: python-cliff
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jan Dittberner <jandd@debian.org>, Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
+               pep8,
                python-all (>= 2.6.6-3~),
-               python-cmd2,
                python-cmd2 (>= 0.6.7),
+               python-coverage,
                python-mock,
                python-nose,
+               python-pbr,
                python-prettytable,
                python-pyparsing (>= 2.0.1),
                python-setuptools,
+               python-six,
                python-sphinx (>= 1.0.7+dfsg-1~),
+               python-stevedore,
                python3-all,
+               python3-coverage,
+               python3-pbr,
+               python3-pep8,
                python3-pyparsing (>= 2.0.1),
-               python3-setuptools
-Standards-Version: 3.9.4
+               python3-setuptools,
+               python3-six,
+               python3-stevedore
+Standards-Version: 3.9.5
 Homepage: https://github.com/dreamhost/cliff
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cliff/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cliff/trunk
 
 Package: python-cliff
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: python-cmd2 (>= 0.6.7), ${misc:Depends}, ${python:Depends}
 Recommends: python-cliff-doc (=${binary:Version}), ${python:Recommends}
 Description: command line interface formulation framework - Python 2.x
  Cliff is a framework for building command line programs. It uses plugins to
@@ -38,7 +46,7 @@
 
 Package: python3-cliff
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-cmd2 (>= 0.6.7), ${misc:Depends}, ${python3:Depends}
 Recommends: python-cliff-doc (=${binary:Version}), ${python3:Recommends}
 Description: command line interface formulation framework - Python 3.x
  Cliff is a framework for building command line programs. It uses plugins to

## python-cliff 1.7.0

=== requirements.txt ===
argparse
cmd2>=0.6.7
PrettyTable>=0.7,<0.8
pyparsing>=2.0.1
six>=1.7.0
stevedore>=0.14

=== docs/requirements.txt ===
httplib2==0.7.4
Sphinx

=== debian/changelog ===
python-cliff (1.7.0-2) unstable; urgency=medium

  * debian/control: add versions python{,3}-six and python{,3}-
    prettytable Depends (Closes: #752741)

 -- Jan Dittberner <jandd@debian.org>  Sun, 28 Sep 2014 19:42:33 +0200

python-cliff (1.7.0-1) unstable; urgency=medium

  * New upstream version

 -- Jan Dittberner <jandd@debian.org>  Sun, 28 Sep 2014 18:06:55 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
                python-mock,
                python-nose,
                python-pbr,
-               python-prettytable,
+               python-prettytable (<< 0.8),
+               python-prettytable (>= 0.7),
                python-pyparsing (>= 2.0.1),
                python-setuptools,
-               python-six,
+               python-six (>= 1.4.1),
                python-sphinx (>= 1.0.7+dfsg-1~),
                python-stevedore,
                python3-all,
@@ -23,7 +24,7 @@
                python3-pep8,
                python3-pyparsing (>= 2.0.1),
                python3-setuptools,
-               python3-six,
+               python3-six (>= 1.4.1),
                python3-stevedore
 Standards-Version: 3.9.5
 Homepage: https://github.com/dreamhost/cliff
@@ -32,7 +33,12 @@
 
 Package: python-cliff
 Architecture: all
-Depends: python-cmd2 (>= 0.6.7), ${misc:Depends}, ${python:Depends}
+Depends: python-cmd2 (>= 0.6.7),
+         python-prettytable (<< 0.8),
+         python-prettytable (>= 0.7),
+         python-six (>= 1.4.1),
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: python-cliff-doc (=${binary:Version}), ${python:Recommends}
 Description: command line interface formulation framework - Python 2.x
  Cliff is a framework for building command line programs. It uses plugins to
@@ -46,7 +52,12 @@
 
 Package: python3-cliff
 Architecture: all
-Depends: python3-cmd2 (>= 0.6.7), ${misc:Depends}, ${python3:Depends}
+Depends: python3-cmd2 (>= 0.6.7),
+         python3-prettytable (<< 0.8),
+         python3-prettytable (>= 0.7),
+         python3-six (>= 1.4.1),
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: python-cliff-doc (=${binary:Version}), ${python3:Recommends}
 Description: command line interface formulation framework - Python 3.x
  Cliff is a framework for building command line programs. It uses plugins to

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf cliff.egg-info build
+	rm -rf cliff.egg-info build pbr-*.egg
 
 override_dh_python2:
 	dh_python2 -O--buildsystem=python_distutils -ppython-cliff
@@ -43,3 +43,4 @@
 	set -e -x; \
 	PYTHONPATH=$(CURDIR)/build/lib.* python setup.py nosetests
 endif
+

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/c/cliff/ cliff-([\d.]+)\.tar\.gz

## python-cliff 1.10.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
argparse
cmd2>=0.6.7
PrettyTable>=0.7,<0.8
pyparsing>=2.0.1
six>=1.9.0
stevedore>=1.1.0  # Apache-2.0

=== debian/changelog ===
python-cliff (1.10.1-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 16 Apr 2015 18:04:52 +0000

python-cliff (1.10.1-0ubuntu1) vivid; urgency=medium

  * New upstream release. (LP: #1444548) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Apr 2015 08:46:15 -0400

python-cliff (1.9.0-0ubuntu2) vivid; urgency=medium

  * debian/control: Add python-oslosphinx as a build dependency. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 07 Dec 2014 21:01:27 -0500

python-cliff (1.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream version. 
  * debian/rules: Adjust documentation building.
  * debian/control: Add python-httplib2 as a build dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 03 Dec 2014 08:57:23 -0500

python-cliff (1.7.0-0ubuntu3) utopic; urgency=medium

  * debian/pydist3-overrides: Rename to py3dist-overrides. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 12 Sep 2014 09:09:58 -0400

python-cliff (1.7.0-0ubuntu2) utopic; urgency=medium

  * debian/pydist-overrides, debian/pydist3-overrides:
    Don't install argparse. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 11 Sep 2014 11:48:11 -0400

python-cliff (1.7.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 10 Sep 2014 10:18:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-cliff
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jan Dittberner <jandd@debian.org>, Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
                pep8,
@@ -10,21 +11,22 @@
                python-coverage,
                python-mock,
                python-nose,
+               python-oslosphinx,
                python-pbr,
-               python-prettytable (<< 0.8),
-               python-prettytable (>= 0.7),
+               python-prettytable,
                python-pyparsing (>= 2.0.1),
                python-setuptools,
-               python-six (>= 1.4.1),
+               python-six,
                python-sphinx (>= 1.0.7+dfsg-1~),
                python-stevedore,
+               python-httplib2,
                python3-all,
                python3-coverage,
                python3-pbr,
                python3-pep8,
                python3-pyparsing (>= 2.0.1),
                python3-setuptools,
-               python3-six (>= 1.4.1),
+               python3-six,
                python3-stevedore
 Standards-Version: 3.9.5
 Homepage: https://github.com/dreamhost/cliff
@@ -33,12 +35,7 @@
 
 Package: python-cliff
 Architecture: all
-Depends: python-cmd2 (>= 0.6.7),
-         python-prettytable (<< 0.8),
-         python-prettytable (>= 0.7),
-         python-six (>= 1.4.1),
-         ${misc:Depends},
-         ${python:Depends}
+Depends: python-cmd2 (>= 0.6.7), ${misc:Depends}, ${python:Depends}
 Recommends: python-cliff-doc (=${binary:Version}), ${python:Recommends}
 Description: command line interface formulation framework - Python 2.x
  Cliff is a framework for building command line programs. It uses plugins to
@@ -52,12 +49,7 @@
 
 Package: python3-cliff
 Architecture: all
-Depends: python3-cmd2 (>= 0.6.7),
-         python3-prettytable (<< 0.8),
-         python3-prettytable (>= 0.7),
-         python3-six (>= 1.4.1),
-         ${misc:Depends},
-         ${python3:Depends}
+Depends: python3-cmd2 (>= 0.6.7), ${misc:Depends}, ${python3:Depends}
 Recommends: python-cliff-doc (=${binary:Version}), ${python3:Recommends}
 Description: command line interface formulation framework - Python 3.x
  Cliff is a framework for building command line programs. It uses plugins to

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 override_dh_auto_install:
 	# Install the docs with sphinx
-	PYTHONPATH=$(CURDIR) sphinx-build -b html -a -c docs/source docs/source \
-	    $(CURDIR)/debian/python-cliff-doc/usr/share/doc/python-cliff-doc/html
+	#PYTHONPATH=$(CURDIR) sphinx-build -b html -a -c doc/source \
+	#    $(CURDIR)/debian/python-cliff-doc/usr/share/doc/python-cliff-doc/html
 	set -e && for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-cliff; \
@@ -20,7 +20,7 @@
 	done
 
 override_dh_installchangelogs:
-	dh_installchangelogs -O--buildsystem=python_distutils docs/source/history.rst
+	dh_installchangelogs -O--buildsystem=python_distutils doc/source/history.rst
 
 override_dh_clean:
 	dh_clean

## python-cliff 1.14.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=1.3
argparse
cmd2>=0.6.7
PrettyTable<0.8,>=0.7
pyparsing>=2.0.1
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
unicodecsv>=0.8.0

=== debian/changelog ===
python-cliff (1.14.0-1ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 11 Sep 2015 22:59:04 +0000

python-cliff (1.14.0-1ubuntu1) wily; urgency=medium

  * d/patches/python35-compat.patch: Fix Python 3.5 compatibility.
    (LP: #1491888)

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 11 Sep 2015 18:38:58 -0400

python-cliff (1.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed skip-test.patch now useless.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Sep 2015 19:31:14 +0000

python-cliff (1.13.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Updated debian/copyright.

  [ Corey Bryant ]
  * New upstream release:
    - d/control: Align (Build-)Depends with upstream.
    - d/p/skip-tests.patch: Skip failing test.

  [ James Page ]
  * Update watch file to use Debian pypi redirector.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jul 2015 21:18:51 +0000

python-cliff (1.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed calls of nose.
  * Also testing with nose and python3.
  * Standards-Version is now 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Apr 2015 14:57:33 +0000

=== debian/control ===
Source: python-cliff
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jan Dittberner <jandd@debian.org>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-pbr (>= 1.3),
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.3),
Build-Depends-Indep: python-cmd2,
                     python-coverage,
                     python-httplib2,
                     python-mock (>= 1.3),
                     python-nose,
                     python-oslosphinx (>= 2.5.0),
                     python-prettytable,
                     python-pyparsing,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-unicodecsv,
                     python3-cmd2,
                     python3-coverage,
                     python3-httplib2,
                     python3-mock (>= 1.3),
                     python3-nose,
                     python3-prettytable,
                     python3-pyparsing,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-unicodecsv,
Standards-Version: 3.9.6
Homepage: https://github.com/dreamhost/cliff
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cliff/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cliff/trunk

Package: python-cliff
Architecture: all
Depends: python-cmd2,
         python-pbr (>= 1.3),
         python-prettytable,
         python-pyparsing,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         python-unicodecsv,
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python:Recommends},
Suggests: python-cliff-doc,
Description: command line interface formulation framework - Python 2.x
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This package provides the Python 2.x module.

Package: python3-cliff
Architecture: all
Depends: python3-cmd2,
         python3-pbr (>= 1.3),
         python3-prettytable,
         python3-pyparsing,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         python3-unicodecsv,
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: python-cliff-doc,
Description: command line interface formulation framework - Python 3.x
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This package provides the Python 3.x module.

Package: python-cliff-doc
Architecture: all
Section: doc
Depends: libjs-sphinxdoc,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Description: command line interface formulation framework documentation
 Cliff is a framework for building command line programs. It uses plugins to
 define sub-commands, output formatters, and other extensions.
 .
 The cliff framework is meant to be used to create multi-level commands such as
 Subversion and git, where the main program handles some basic argument parsing
 and then invokes a sub-command to do the work.
 .
 This is the documentation of python-cliff.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=python_distutils

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-cliff; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-cliff; \
	done

override_dh_installchangelogs:
	dh_installchangelogs -O--buildsystem=python_distutils doc/source/history.rst

override_dh_clean:
	dh_clean
	rm -rf cliff.egg-info build

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) sphinx-build -b html -a -c doc/source doc/source \
	    $(CURDIR)/debian/python-cliff-doc/usr/share/doc/python-cliff-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils -ppython-cliff-doc
endif

override_dh_python2:
	dh_python2 -O--buildsystem=python_distutils -ppython-cliff

override_dh_python3:
	dh_python3 -O--buildsystem=python_distutils -ppython3-cliff

override_dh_compress:
	dh_compress -O--buildsystem=python_distutils -i -X.rst -X.js -X.html -X.txt -X.py

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	PYTHONPATH=. nosetests
	PYTHONPATH=. nosetests3
endif

## python-cliff 1.15.0

=== Makefile ===
help:
	@echo "release - package and upload a release"
	@echo "sdist   - package"
	@echo "docs    - generate HTML documentation"
	@echo "clean   - remove build artifacts"

release: docs
	rm -rf dist build
	python setup.py sdist upload

sdist: docs
	python setup.py sdist
	ls -l dist

clean:
	rm -rf dist build *.egg-info
	(cd docs && make clean)

.PHONY: docs
docs:
	(cd docs && make clean html)

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=1.4
argparse
cmd2>=0.6.7
PrettyTable<0.8,>=0.7
pyparsing>=2.0.1
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
unicodecsv>=0.8.0
PyYAML>=3.1.0

=== debian/changelog ===
python-cliff (1.15.0-5) unstable; urgency=medium

  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Thu, 19 May 2016 21:10:44 +0200

python-cliff (1.15.0-4) unstable; urgency=medium

  * Added missing python{3,}-setuptools build-depends (Closes: #820688).
  * Standards-Version: 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Apr 2016 22:23:44 +0000

python-cliff (1.15.0-3) unstable; urgency=medium

  * Removed argparse from requirements.txt (Closes: #810126).
  * Added patch to fix Python 3.5 unit tests (in fact, removing some broken
    tests).
  * Running unit tests for all available versions of Python.
  * VCS URLs using HTTPS.

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Feb 2016 10:30:41 +0000

python-cliff (1.15.0-2) unstable; urgency=medium

  * Added missing build-depends on python{3,}-yaml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Nov 2015 16:13:06 +0100

python-cliff (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Moved the package to PKG OpenStack as I lost write access to the DPMT.
  * Added build-depends openstack-pkg-tools.
  * Added export OSLO_PACKAGE_VERSION.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 23:12:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: python-cliff
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Jan Dittberner <jandd@debian.org>,
            Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
+               openstack-pkg-tools,
                python-all,
+               python-setuptools,
                python-pbr (>= 1.3),
                python-sphinx,
                python3-all,
+               python3-setuptools,
                python3-pbr (>= 1.3),
 Build-Depends-Indep: python-cmd2,
                      python-coverage,
@@ -23,6 +25,7 @@
                      python-six (>= 1.9.0),
                      python-stevedore (>= 1.5.0),
                      python-unicodecsv,
+                     python-yaml,
                      python3-cmd2,
                      python3-coverage,
                      python3-httplib2,
@@ -33,10 +36,11 @@
                      python3-six (>= 1.9.0),
                      python3-stevedore (>= 1.5.0),
                      python3-unicodecsv,
-Standards-Version: 3.9.6
+                     python3-yaml,
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-cliff?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-cliff -b debian/newton
 Homepage: https://github.com/dreamhost/cliff
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cliff/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cliff/trunk
 
 Package: python-cliff
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,20 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
+UPSTREAM_GIT := https://github.com/openstack/cliff.git
+include /usr/share/openstack-pkg-tools/pkgos.make
+export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
+
+
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=python_distutils
 
 override_dh_auto_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-cliff; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-cliff; \
 	done
@@ -41,8 +46,9 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e -x; \
-	PYTHONPATH=. nosetests
-	PYTHONPATH=. nosetests3
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		PYTHONPATH=. PYTHON=python$$i python$$i -m nose -v ; \
+	done
 endif
-

## python-cliff 2.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
cmd2>=0.6.7 # MIT
PrettyTable<0.8,>=0.7 # BSD
pyparsing>=2.0.1 # MIT
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0
unicodecsv>=0.8.0;python_version<'3.0' # BSD
PyYAML>=3.1.0 # MIT

=== debian/changelog ===
python-cliff (2.2.0-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 02 Sep 2016 13:25:18 +0000

python-cliff (2.2.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Sep 2016 09:54:28 -0400

python-cliff (2.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * New upstream release.
  * Remove arparse in requirements.txt patch.
  * Fixed (build-)depends for this release.
  * Removed Py 3.5 unit test patch.
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 13:48:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: python-cliff
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Jan Dittberner <jandd@debian.org>,
            Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-setuptools,
-               python-pbr (>= 1.3),
+               python-pbr (>= 1.8),
                python-sphinx,
                python3-all,
                python3-setuptools,
-               python3-pbr (>= 1.3),
+               python3-pbr (>= 1.8),
 Build-Depends-Indep: python-cmd2,
                      python-coverage,
                      python-httplib2,
@@ -23,7 +24,7 @@
                      python-prettytable,
                      python-pyparsing,
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.16.0),
                      python-unicodecsv,
                      python-yaml,
                      python3-cmd2,
@@ -34,22 +35,22 @@
                      python3-prettytable,
                      python3-pyparsing,
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.5.0),
+                     python3-stevedore (>= 1.16.0),
                      python3-unicodecsv,
                      python3-yaml,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-cliff?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-cliff -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-cliff.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-cliff.git
 Homepage: https://github.com/dreamhost/cliff
 
 Package: python-cliff
 Architecture: all
 Depends: python-cmd2,
-         python-pbr (>= 1.3),
+         python-pbr (>= 1.8),
          python-prettytable,
          python-pyparsing,
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.16.0),
          python-unicodecsv,
          ${misc:Depends},
          ${python:Depends},
@@ -68,11 +69,11 @@
 Package: python3-cliff
 Architecture: all
 Depends: python3-cmd2,
-         python3-pbr (>= 1.3),
+         python3-pbr (>= 1.8),
          python3-prettytable,
          python3-pyparsing,
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.5.0),
+         python3-stevedore (>= 1.16.0),
          python3-unicodecsv,
          ${misc:Depends},
          ${python3:Depends},

## python-cliff 2.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
cmd2>=0.6.7 # MIT
PrettyTable<0.8,>=0.7.1 # BSD
pyparsing>=2.0.7 # MIT
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
unicodecsv>=0.8.0;python_version<'3.0' # BSD
PyYAML>=3.10.0 # MIT

=== debian/changelog ===
python-cliff (2.4.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 12 Jan 2017 16:58:48 +0000

python-cliff (2.4.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add autopkgtest

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Jan 2017 11:01:34 -0500

python-cliff (2.3.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Nov 2016 09:13:37 -0500

=== debian/control ===
--- 
+++ 
@@ -15,45 +15,46 @@
                python3-all,
                python3-setuptools,
                python3-pbr (>= 1.8),
-Build-Depends-Indep: python-cmd2,
-                     python-coverage,
+Build-Depends-Indep: python-cmd2 (>= 0.6.7),
+                     python-coverage (>= 4.0),
                      python-httplib2,
-                     python-mock (>= 1.3),
+                     python-mock (>= 2.0),
                      python-nose,
-                     python-oslosphinx (>= 2.5.0),
-                     python-prettytable,
-                     python-pyparsing,
+                     python-oslosphinx (>= 4.7.0),
+                     python-prettytable (>= 0.7.1),
+                     python-pyparsing (>= 2.0.7),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.16.0),
-                     python-unicodecsv,
-                     python-yaml,
-                     python3-cmd2,
-                     python3-coverage,
+                     python-stevedore (>= 1.17.1),
+                     python-unicodecsv (>= 0.8.0),
+                     python-yaml (>= 3.10.0),
+                     python3-cmd2 (>= 0.6.7),
+                     python3-coverage (>= 4.0),
                      python3-httplib2,
-                     python3-mock (>= 1.3),
+                     python3-mock (>= 2.0),
                      python3-nose,
-                     python3-prettytable,
-                     python3-pyparsing,
+                     python3-prettytable (>= 0.7.1),
+                     python3-pyparsing (>= 2.0.7),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.16.0),
-                     python3-unicodecsv,
-                     python3-yaml,
+                     python3-stevedore (>= 1.17.1),
+                     python3-unicodecsv (>= 0.8.0),
+                     python3-yaml (>= 3.10.0)
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-cliff.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-cliff.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-cliff
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-cliff
 Homepage: https://github.com/dreamhost/cliff
+Testsuite: autopkgtest-pkg-python
 
 Package: python-cliff
 Architecture: all
-Depends: python-cmd2,
+Depends: python-cmd2 (>= 0.6.7),
          python-pbr (>= 1.8),
-         python-prettytable,
-         python-pyparsing,
+         python-prettytable (>= 0.7.1),
+         python-pyparsing (>= 2.0.7),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.16.0),
-         python-unicodecsv,
+         python-stevedore (>= 1.17.1),
+         python-unicodecsv (>= 0.8.0),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Recommends: ${python:Recommends},
 Suggests: python-cliff-doc,
 Description: command line interface formulation framework - Python 2.x
@@ -68,15 +69,15 @@
 
 Package: python3-cliff
 Architecture: all
-Depends: python3-cmd2,
+Depends: python3-cmd2 (>= 0.6.7),
          python3-pbr (>= 1.8),
-         python3-prettytable,
-         python3-pyparsing,
+         python3-prettytable (>= 0.7.1),
+         python3-pyparsing (>= 2.0.7),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.16.0),
-         python3-unicodecsv,
+         python3-stevedore (>= 1.17.1),
+         python3-unicodecsv (>= 0.8.0),
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Recommends: ${python3:Recommends},
 Suggests: python-cliff-doc,
 Description: command line interface formulation framework - Python 3.x
@@ -92,9 +93,7 @@
 Package: python-cliff-doc
 Architecture: all
 Section: doc
-Depends: libjs-sphinxdoc,
-         ${misc:Depends},
-         ${sphinxdoc:Depends},
+Depends: libjs-sphinxdoc, ${misc:Depends}, ${sphinxdoc:Depends}
 Description: command line interface formulation framework documentation
  Cliff is a framework for building command line programs. It uses plugins to
  define sub-commands, output formatters, and other extensions.

=== debian/rules ===
--- 
+++ 
@@ -1,25 +1,13 @@
 #!/usr/bin/make -f
-
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
 
 UPSTREAM_GIT := https://github.com/openstack/cliff.git
 include /usr/share/openstack-pkg-tools/pkgos.make
-export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
-
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=python_distutils
 
 override_dh_auto_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-cliff; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-cliff; \
-	done
+	pkgos-dh_auto_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs -O--buildsystem=python_distutils doc/source/history.rst
